/*
 *  $Id: uqwk.c,v 1.2 1999/03/08 22:00:39 js Exp $
 */

#include <stdio.h>
#include <string.h>

#define ALLOCATE
#include "uqwk.h"

/*
 *  Try to make QWK packets from a mail and/or news spool
 */

int main (argc, argv)
int argc;
char *argv[];
{
	progname = argv[0];

	/* Set up defaults */
	DefaultOptions();

	/* Look for environment variable overrides */
	EnvOptions();

	/* Look for command line overrides */
	CommandOptions (argc, argv);

	/* Initialize files, etc. */
	InitStuff();

	/* Do reply packet? */
	if (strcmp (rep_file, DEF_REP_FILE) && DoReply() < 0) {
		fprintf (stderr, "%s: error sending replies\n", progname);
		return(-1);
	}

	/* Do news? */
	if (do_news && DoNews() < 0) {
		fprintf (stderr, "%s: error getting news\n", progname);
		return(-1);
	}

	/* Mail? */
	if (do_mail && DoMail() < 0) {
		fprintf (stderr, "%s: error getting mail\n", progname);
		return(-1);
	}

	/* All done */
	if(CloseStuff() < 0) {
		fprintf (stderr, "%s: error closing up\n", progname);
		return(-1);
	}

	return (0);
}
